/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is CaScadeS, a stylesheet editor for Composer.
 *
 * The Initial Developer of the Original Code is
 * Daniel Glazman.
 * Portions created by the Initial Developer are Copyright (C) 2002
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Original author: Daniel Glazman <daniel@glazman.org>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

function CreateASlide()
{
  window.openDialog("chrome://slidemaker/content/slidemaker.xul","_blank", "chrome,close,modal,titlebar");
  window._content.focus();
}

function InitSlidesMenu()
{
  var elt = window.editorShell.editorDocument.getElementById("mozSlideContent");
  var createMenuitem = document.getElementById("createSlideMenuitem");
  var removeMenuitem = document.getElementById("removeSlideMenuitem");
  if (removeMenuitem && createMenuitem) {
    if (elt) {
      createMenuitem.setAttribute("disabled", "true");
      removeMenuitem.removeAttribute("disabled");
    }
    else {
      createMenuitem.removeAttribute("disabled");
      removeMenuitem.setAttribute("disabled", "true");
    }
  }
}

function RemoveSlide()
{
  var elt = window.editorShell.editorDocument.getElementById("mozSlideContent");
  var lastBodyNode = elt.parentNode.lastChild;  
  while (lastBodyNode != null && lastBodyNode != elt) {
    var tmp = lastBodyNode.previousSibling;
    lastBodyNode.parentNode.removeChild(lastBodyNode);
    lastBodyNode = tmp;
  }
  var range = window.editorShell.editorDocument.createRange();
  range.selectNodeContents(elt);
  var docF = range.extractContents();
  elt.parentNode.replaceChild(docF, elt);

  var ss = window.editorShell.editorDocument.getElementById("mozSlideStylesheet");
  ss.parentNode.removeChild(ss);
}

